<?
//
//   CF Image Hosting Script 
//   --------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.4.2
//   Date:      17 June 2011
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost/
//
//   Copyright (c) 2011 codefuture.co.uk
//   This file is part of the CF Image Hosting Script.
//
//   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
//   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
//   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
//   COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
//   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
//   OR  IN  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
//
//
//  You may not modify and/or remove any copyright notices or labels on the software on each
//  page (unless full license is purchase) and in the header of each script source file.
//
//  You should have received a full copy of the LICENSE AGREEMENT along with
//  CF Image Hosting Script.  If not, see http://codefuture.co.uk/projects/imagehost/license/
//   
////////////////////////////////////////////////////////////////////////////////////

// set menu 
	if(!isset($menu))$menu = 'home';
	flushNow(1);
?>
<!doctype html>
<html lang="en">
<head>
	<meta charset="<?=$LANGUAGE_PACK["site_charset"];?>">
	<meta http-equiv="X-UA-Compatible" content="IE=8,chrome=1" />
	<title><?=$settings['SET_TITLE'];?><?=(isset($page_title)?$page_title:'');?></title>
	<meta name="description" content="Free Image Hosting <?=(isset($page_title)?$page_title:'');?> - powered by CF Image Hosting" />
	<meta name="keywords" content="images, photos, image hosting, photo hosting, free image hosting"/>
	<meta name="robots" content="index,follow"/>
	<link href="favicon.ico" rel="icon" type="image/x-icon" />
	<link rel="alternate" type="application/rss+xml" title="<?=$settings['SET_TITLE'];?> Feed" href="<?PHP echo $settings['SET_SITEURL'];?>/feed.php" />
	<link rel="stylesheet" href="<?PHP echo $settings['SET_SITEURL'];?>/themes/<?=$settings['SET_THEME'];?>/<?=$settings['SET_THEME'];?>.css?v=<?=$settings['SET_VERSION'];?>" type="text/css" />
	<?PHP echo (isset($header_hook)?$header_hook:'');?>
</head>
<body id="<?PHP echo $menu;?>">
<? if(checklogin()){?>
	<div id="admin_bar">
		<div class="title">Admin Menu</div>
		<ul class="nav">
			<li><a href="<?PHP echo $settings['SET_SITEURL'];?>/admin.php?act=logout" title="<?=$LANGUAGE_PACK["admin_menu_logout"];?>"><?=$LANGUAGE_PACK["admin_menu_logout"];?></a></li>
			<li><a href="<?PHP echo $settings['SET_SITEURL'];?>/admin.php?act=set" title="<?=$LANGUAGE_PACK["admin_menu_settings"];?>"><?=$LANGUAGE_PACK["admin_menu_settings"];?></a></li>
			<li><a href="<?PHP echo $settings['SET_SITEURL'];?>/admin.php?act=ban" title="<?=$LANGUAGE_PACK["admin_menu_banned"];?>"><?=$LANGUAGE_PACK["admin_menu_banned"];?></a></li>
			<li><a href="<?PHP echo $settings['SET_SITEURL'];?>/admin.php?act=images" title="<?=$LANGUAGE_PACK["admin_menu_image_list"];?>"><?=$LANGUAGE_PACK["admin_menu_image_list"];?></a></li>
		<li><a href="<?PHP echo $settings['SET_SITEURL'];?>/admin.php" title="<?=$LANGUAGE_PACK["admin_menu_home"];?>"><?=$LANGUAGE_PACK["admin_menu_home"];?></a></li>
		</ul>
	</div>
<?}?>
<div id="wrap">
	<div id="header" class="clear">
		<div id="logo">
			<h1><a href="<?PHP echo $settings['SET_SITEURL'];?>/index.php" title="<?=$settings['SET_TITLE'];?> <?=$LANGUAGE_PACK["site_menu_home"];?>"><?=$settings['SET_TITLE'];?></a></h1>
			<h2><?=$settings['SET_SLOGAN'];?></h2>
		</div>

		<div class="languages" onMouseOver="document.getElementById('language').style.display='block'" onMouseOut="document.getElementById('language').style.display='none'">
			<div class="lan_on"><span><?=$LANGUAGE_PACK["site_language"];?></span><img src="<?PHP echo $settings['SET_SITEURL'];?>/languages/<?=$settings['SET_LANGUAGE'];?>.png" width="23" height="15" alt="<?=$settings['SET_LANGUAGE'];?>" title="<?=$settings['SET_LANGUAGE'];?>" /></div>
			<div id="language" class="language" ><?=listLanguages();?></div>
			<div class="clear_both"></div>
		</div>

	<?if($settings['SET_HIDE_SEARCH']){?>
		<div id="search">
			<form method="get" action="<?PHP echo $settings['SET_SITEURL'];?>/search.php">
				<input type="text" size="28" name="search" id="searchBox" class="text_input" onblur="if(this.value=='')value='<?=$LANGUAGE_PACK["site_search_text"];?>';" onfocus="if(this.value=='<?=$LANGUAGE_PACK["site_search_text"];?>')value=''" value="<?=$LANGUAGE_PACK["site_search_text"];?>" /><input type="submit" value="<?=$LANGUAGE_PACK["site_search_button"];?>" class="button" />
			</form>
		</div>
	<?}?>
		<div id="nav">
			<ul id="main-nav">
				<li><a <?=($menu=="home" ? ' class="current" ':'');?> href="<?PHP echo $settings['SET_SITEURL'];?>/" title="<?=$LANGUAGE_PACK["site_menu_home"];?>"><?=$LANGUAGE_PACK["site_menu_home"];?></a></li>
				<? if($settings['SET_HIDE_GALLERY']){?><li><a <?=($menu=="gallery" ? ' class="current" ':'');?> href="<?PHP echo $settings['SET_SITEURL'];?>/gallery.php" title="<?=$LANGUAGE_PACK["site_menu_gallery"];?>"><?=$LANGUAGE_PACK["site_menu_gallery"];?></a></li><?}?>
				<? if($settings['SET_HIDE_FAQ']){?><li><a <?=($menu=="faq_page" ? ' class="current"':'');?> href="<?PHP echo $settings['SET_SITEURL'];?>/faq.php" title="<?=$LANGUAGE_PACK["site_menu_faq"];?>"><?=$LANGUAGE_PACK["site_menu_faq"];?></a></li><?}?>
				<? if($settings['SET_HIDE_TOS']){?><li><a <?=($menu=="tos_page" ? ' class="current" ':'');?> href="<?PHP echo $settings['SET_SITEURL'];?>/tos.php" title="<?=$LANGUAGE_PACK["site_menu_tos"];?>"><?=$LANGUAGE_PACK["site_menu_tos"];?></a></li><?}?>
				<? if($settings['SET_HIDE_CONTACT']){?><li><a <?=($menu=="contact_page" ? ' class="current" ':'');?> href="<?PHP echo $settings['SET_SITEURL'];?>/contact.php" title="<?=$LANGUAGE_PACK["site_menu_contact"];?>"><?=$LANGUAGE_PACK["site_menu_contact"];?></a></li><?}?>
			</ul>
		</div>
	<div class="clear"></div>
	</div>
	<div id="content">
<? if($settings['SET_GOOGLE_ADS']){?>
		<div class="top_ad"><?=$header_AdSense;?></div>
<?}
	flushNow(1);
?>